classification
Title: Refactor and add new tests for the f_lineno setter
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: serhiy.storchaka
Priority: normal Keywords: patch

Created on 2017-12-23 17:14 by serhiy.storchaka, last changed 2018-01-01 18:51 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4991 merged serhiy.storchaka, 2017-12-23 17:19
PR 5016 merged serhiy.storchaka, 2017-12-27 09:25
PR 5017 merged serhiy.storchaka, 2017-12-27 09:50
PR 5072 merged serhiy.storchaka, 2018-01-01 17:11
PR 5073 merged python-dev, 2018-01-01 17:39
PR 5074 merged python-dev, 2018-01-01 17:40
Messages (7)
msg308959 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-12-23 17:14
Proposed PR refactors existing tests for the f_lineno setter and adds few new tests. This will help to avoid regressions in issue17611.

I have found that some illegal jumps are not prohibited. They can lead to crashes or weird behavior. For example jumps to or from the bare except block. This will be fixed in a separate issue.
msg309067 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-12-26 22:38
New changeset 53f9135667226f33e049e327db60fb033afbd77a by Serhiy Storchaka in branch 'master':
bpo-32416: Refactor tests for the f_lineno setter and add new tests. (#4991)
https://github.com/python/cpython/commit/53f9135667226f33e049e327db60fb033afbd77a
msg309099 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-12-27 19:31
New changeset ea98eba3465fff2b191610cea253d43000c84b4a by Serhiy Storchaka in branch '3.6':
[3.6] bpo-32416: Refactor tests for the f_lineno setter and add new tests. (GH-4991). (#5016)
https://github.com/python/cpython/commit/ea98eba3465fff2b191610cea253d43000c84b4a
msg309100 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-12-27 19:32
New changeset c60eca06adda4900e6b469d989e6082cda3a3004 by Serhiy Storchaka in branch '2.7':
[2.7] bpo-32416: Refactor tests for the f_lineno setter and add new tests. (GH-4991). (#5017)
https://github.com/python/cpython/commit/c60eca06adda4900e6b469d989e6082cda3a3004
msg309340 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-01-01 17:39
New changeset e8ed96550c6aa9a1e39c36e67e892994e25e2c41 by Serhiy Storchaka in branch 'master':
bpo-32416: Add two new tests in test_sys_settrace. (#5072)
https://github.com/python/cpython/commit/e8ed96550c6aa9a1e39c36e67e892994e25e2c41
msg309342 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-01-01 18:51
New changeset 2de47ca109d0418c7c01e451b5614f748ad76ee9 by Serhiy Storchaka (Miss Islington (bot)) in branch '2.7':
bpo-32416: Add two new tests in test_sys_settrace. (GH-5072) (#5074)
https://github.com/python/cpython/commit/2de47ca109d0418c7c01e451b5614f748ad76ee9
msg309343 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-01-01 18:51
New changeset 439ce8a93936d92e4f10765c482195a28e93ec76 by Serhiy Storchaka (Miss Islington (bot)) in branch '3.6':
bpo-32416: Add two new tests in test_sys_settrace. (GH-5072) (#5073)
https://github.com/python/cpython/commit/439ce8a93936d92e4f10765c482195a28e93ec76
History
Date User Action Args
2018-01-01 18:51:33serhiy.storchakasetmessages: + msg309343
2018-01-01 18:51:14serhiy.storchakasetmessages: + msg309342
2018-01-01 17:40:52python-devsetpull_requests: + pull_request4948
2018-01-01 17:39:56python-devsetpull_requests: + pull_request4947
2018-01-01 17:39:41serhiy.storchakasetmessages: + msg309340
2018-01-01 17:11:12serhiy.storchakasetpull_requests: + pull_request4946
2017-12-27 19:37:42serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-12-27 19:32:05serhiy.storchakasetmessages: + msg309100
2017-12-27 19:31:49serhiy.storchakasetmessages: + msg309099
2017-12-27 09:50:55serhiy.storchakasetpull_requests: + pull_request4907
2017-12-27 09:25:17serhiy.storchakasetpull_requests: + pull_request4906
2017-12-26 22:38:58serhiy.storchakasetmessages: + msg309067
2017-12-23 17:19:27serhiy.storchakalinkissue17611 dependencies
2017-12-23 17:19:14serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request4879
2017-12-23 17:14:03serhiy.storchakacreate